# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# pylint: disable=C0330, g-bad-import-order, g-multiple-import

"""Defines simplified imports.

Instead of importing `gaarf.report.GaarfReport`
import like this `from gaarf import GaarfReport`
"""

from __future__ import annotations

from gaarf.api_clients import GoogleAdsApiClient
from gaarf.report import GaarfReport
from gaarf.report_fetcher import AdsReportFetcher

__all__ = [
  'GaarfReport',
  'GoogleAdsApiClient',
  'AdsReportFetcher',
]

__version__ = '1.15.6'
